version: '3.9'

services:
  elasticsearch: # Elasticsearch Instance
    image: docker.elastic.co/elasticsearch/elasticsearch:7.9.2
    environment:
      #- "ES_JAVA_OPTS=-Xms512m -Xmx512m"
      - discovery.type=single-node
    ports: # Expose Elasticsearch ports
      - "9200:9200"
    networks:
      - haystack_qa_network

  haystack: # flask qa_pipeline based on Haystack
    #image: registry.gitlab.com/speaker-projekt/questionanswering/haystack-qa-service
    build: .
    ports:
      - "5000:5000" # Expose flask port
      - "5001:5001" # Expose flask port
    environment: # Set ENV vars
     #- ES_HOST=elasticsearch
     - PORT=5000
    volumes:
      - ./data/user_data:/data/user_data
      - ./origin.txt:/origin.txt
    depends_on:
      - elasticsearch
    networks:
      - haystack_qa_network

networks:
  haystack_qa_network: